- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
IdentityMap< T > Class Template Reference
Maps

## Detailed Description

### template<typename T>
class lemon::IdentityMap< T >

This read-only map gives back the given key as value without any modification.

See Also
  ConstMap

`#include <lemon/maps.h>`

Inheritance diagram for IdentityMap< T >:
[legend]

## Public Types
typedef T | Key
typedef T | Value
Public Types inherited from MapBase< T, T >
typedef T | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions
Value | operator[] (const Key &k) const
| Gives back the given value without any modification.

## Related Functions
(Note that these are not member functions.)
template<typename T >
IdentityMap< T > | identityMap ()
| Returns an `IdentityMap` class. More...